1. Video Generation
PixVerse Platform Docs
  • Overview
    • Introduce to PixVerse Platform
    • Quick Start
    • How does the API work?
    • How to get API key?
    • PixVerse-api-llm.txt
  • Models
    • Model Overview
    • Capability matrix
    • C1
    • V6
    • Pricing
  • Guides
    • Get video generation status
    • Check account balance
    • Subscribe API plans
    • Text-to-video
    • Image-to-video
    • Video Effects
    • Image template
    • Transition(First-last frame Feature)
    • Extend
    • Modify
    • Sound effects
    • Speech(Lip sync)
    • Lip sync TTS speaker list
    • Fusion(Reference to video)
    • Restyle
    • Multi-transition
    • Swap
    • Motion Control(Mimic)?
    • Webhook integration
  • API Reference
    • Rate limit
    • Video Generation
      • Text-to-Video generation
        POST
      • Image-to-Video generation
        POST
      • Template video generation
        POST
      • Transition(First-last frame) generation
        POST
      • Speech(Lipsync) generation
        POST
      • Get Speech(Lipsync) tts list
        GET
      • Fusion(reference to video) generation
        POST
      • Multi-transition video generation
        POST
      • Restyle video generation
        POST
      • Restyle effect list
        GET
      • Swap mask generation
        POST
      • Swap video generation
        POST
      • Sound effect generation
        POST
      • Extend generation
        POST
      • Get Video Generation Status
        GET
      • Motion Control (Mimic) generation
        POST
      • Modify generation
        POST
    • Image generation
      • Image template generation
      • Get Image generation
    • Upload Image
      POST
    • Get user credit balance
      GET
    • Upload Video&audio
      POST
  • Troubleshooting
    • FAQ
    • Common errors and Solutions
    • Error codes
  • Resources
    • Support
    • Change Logs
    • PixVerse MCP
    • Term of Service
    • Privacy policy
  1. Video Generation

Get Video Generation Status

GET
/openapi/v2/video/result/{id}
1: Generation successful; 5: Generating; 7: Contents moderation failed; 8: Generation failed;

Request

Path Params

Header Params

Responses

🟢200OK
application/json
Success
Bodyapplication/json

Request Request Example
Shell
curl --location 'https://app-api.pixverse.ai/openapi/v2/video/result/' \
--header 'API-KEY: your-api-key' \
--header 'Ai-trace-id: {{$string.uuid}}'
Response Response Example
{
    "ErrCode": 0,
    "ErrMsg": "string",
    "Resp": {
        "create_time": "string",
        "id": 0,
        "modify_time": "string",
        "negative_prompt": "string",
        "outputHeight": 0,
        "outputWidth": 0,
        "prompt": "string",
        "resolution_ratio": 0,
        "seed": 0,
        "size": 0,
        "status": 0,
        "style": "string",
        "url": "string"
    }
}
Previous
Extend generation
Next
Motion Control (Mimic) generation